petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSNPrintf

Prints to a string of given length

### Synopsis

    PetscErrorCode PetscSNPrintf(char *str,size_t len,const char format[],...)

Not Collective

### Input Parameters

| str | - the string to print to
| len | - the length of str
| format | - the usual printf() format string
| any arguments | -

### See Also

PetscSynchronizedFlush(), PetscSynchronizedFPrintf(), PetscFPrintf(), PetscVSNPrintf(),
PetscPrintf(), PetscViewerASCIIPrintf(), PetscViewerASCIISynchronizedPrintf(), PetscVFPrintf()

### Level

intermediate

### Location

src/sys/fileio/mprint.c

### Examples

src/dm/examples/tutorials/swarm_ex1.c.html
src/dm/examples/tutorials/swarm_ex3.c.html
src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex56.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
src/snes/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex14.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages